### Function

# Fwupd update_state_from_string

#### Declaration [src]

    FwupdUpdateState
    fwupd_update_state_from_string (
      const gchar* update_state
    )

#### Description [src]

Converts a string to an enumerated update state.

Available since: | 0.7.0

#### Parameters

`update_state` | `const gchar*`
| A string, e.g. `pending`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `FwupdUpdateState`
| Enumerated value.